Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGuiEventLoop Class Reference

The QGuiEventLoop class manages Qt's event queue, including GUI-related events. More...

    #include <QGuiEventLoop>

Inherits QEventLoop.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QGuiEventLoop ( QObject * parent = 0 )
- ~QGuiEventLoop ()
- virtual void flush ()
- virtual bool hasPendingEvents () const
- virtual bool processEvents ( ProcessEventsFlags flags )
- virtual void winProcessEvent ( void * message )

- 18 public functions inherited from QEventLoop
- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 2 signals inherited from QEventLoop
- 1 signal inherited from QObject

### Static Public Members

- 1 static public member inherited from QEventLoop
- 4 static public members inherited from QObject

### Protected Functions

- virtual void appClosingDown ()
- virtual void appStartingUp ()

- 9 protected functions inherited from QObject

## Detailed Description

The QGuiEventLoop class manages Qt's event queue, including GUI-related events.

It inherits most of its interface from QEventLoop and implements some platform-specific, GUI-related functionality.

See also QApplication.

## Member Function Documentation

### QGuiEventLoop::QGuiEventLoop ( QObject * parent = 0 )

### QGuiEventLoop::~QGuiEventLoop ()

### void QGuiEventLoop::appClosingDown () `[virtual protected]`

### void QGuiEventLoop::appStartingUp () `[virtual protected]`

### void QGuiEventLoop::flush () `[virtual]`

### bool QGuiEventLoop::hasPendingEvents () const `[virtual]`

### bool QGuiEventLoop::processEvents ( ProcessEventsFlags flags ) `[virtual]`

### void QGuiEventLoop::winProcessEvent ( void * message ) `[virtual]`